<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

defined('MOODLE_INTERNAL') || die();

/**
 * Edumarket tinymce Plugin
 *
 * @package tinymce_edumarket
 * @author Lilian
 * @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 * @copyright KIPT Technology Corp. {@link http://kipt.com.tw/}
 */
class tinymce_edumarket extends editor_tinymce_plugin {

    protected $buttons = array('edumarket');

    protected function update_init_params(array &$params, context $context,
            array $options = null) {

        // 若沒有設定則放在 media>image>最後面
        if ($row = $this->find_button($params, 'moodlemedia')) {
            $this->add_button_after($params, $row, 'edumarket', 'moodlemedia');
        } else if ($row = $this->find_button($params, 'image')) {
            $this->add_button_after($params, $row, 'edumarket', 'image');
        } else {
            $this->add_button_after($params, $this->count_button_rows($params), 'edumarket');
        }

        $this->add_js_plugin($params);
    }

    protected function get_sort_order() {
        return 150;
    }

}