<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Edumarket tinymce Plugin
 *
 * @package tinymce_edumarket
 * @author Lilian
 * @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 * @copyright KIPT Technology Corp. {@link http://kipt.com.tw/}
 */

require('../../../../../config.php');

$PAGE->set_context(context_system::instance());
$PAGE->set_url('/lib/editor/tinymce/plugins/edumarket/popup.php');
$PAGE->set_pagelayout('popup');
$PAGE->set_title(get_string('edumarket:add', 'tinymce_edumarket'));

$editor = get_texteditor('tinymce');
$plugin = $editor->get_plugin('edumarket');

$PAGE->requires->js('/lib/editor/tinymce/tiny_mce/' . $editor->version . '/tiny_mce_popup.js', true);
$PAGE->requires->js('/lib/editor/tinymce/plugins/edumarket/tinymce/js/edumarket.js', true);

echo $OUTPUT->header();
if (empty(get_config('tinymce_edumarket')->apikey)) {
    echo '請到外掛設定中設定API KEY';
} else {
    global $SESSION;
    $tokenname = 'TokenId';
    $cloudtoken = '';
    if (!empty($_SESSION[$tokenname])) {
        $cloudtoken = $_SESSION[$tokenname];
    }
    $_conn = new curl(array('cache'=>true, 'debug'=>false));
    
    $sess_name = 'edumarket_tinymce_keyword';
    $keyword = isset($SESSION->{$sess_name}) ? $SESSION->{$sess_name} : '';
    $sess_name = 'edumarket_tinymce_domain';
    $domain = isset($SESSION->{$sess_name}) ? $SESSION->{$sess_name} : '';
    $sess_name = 'edumarket_tinymce_grade';
    $grade = isset($SESSION->{$sess_name}) ? $SESSION->{$sess_name} : '';
?>
        <div class="panel_wrapper">
            <div id="general_panel" class="panel current">
                <form onsubmit="openSearchWindow();return false;" action="#">
                <fieldset>
                    <legend>{#edumarket.search}</legend>
                    <table align="center" border="0" cellpadding="4" cellspacing="0">
                        <tr>
                            <td align="right">{#edumarket.enterkeyword}</td>
                            <td align="left"><input type="text" name="query" value="<?=$keyword?>" width="80" /></td>
                        </tr>
                        <tr>
                            <td align="right">{#edumarket.selectdomain}</td>
                            <td align="left">
                                <select name="doamin">
                                    <option value="">所有</option>
<?php
    $url = get_config('tinymce_edumarket')->serverurl.'/api/resources.jsp?op=getDisciplineK9';
    $html = $_conn->get($url);
    $return = json_decode($html, true);
    foreach ($return['data'] as $value) {
        echo '<option value="'.$value['id'].'"'.($value['id'] == $domain ? ' selected' : '').'>'.$value['name'].'</option>';
    }
?>
                                </select>
                            </td>
                        </tr>
                        <tr>
                            <td align="right">{#edumarket.selectgrade}</td>
                            <td align="left">
                                <select name="grade" id="grade">
<?php
    $gradeoption = array(array('value' => '*', 'label' => '所有'), array('value' => '1', 'label' => '一年級')
                                , array('value' => '2', 'label' => '二年級'), array('value' => '3', 'label' => '三年級')
                                , array('value' => '4', 'label' => '四年級'), array('value' => '5', 'label' => '五年級')
                                , array('value' => '6', 'label' => '六年級'), array('value' => '7', 'label' => '七年級')
                                , array('value' => '8', 'label' => '八年級'), array('value' => '9', 'label' => '九年級'));
    foreach ($gradeoption as $value) {
        echo '<option value="'.$value['value'].'"'.($value['value'] == $grade ? ' selected' : '').'>'.$value['label'].'</option>';
    }
?>
                                </select>
                            </td>
                        </tr>
                        <tr align="center">
                            <td colspan='2' ><input type="submit" value="{#edumarket.btn_search}" /></td>
                        </tr>
                    </table>
                </fieldset>
                </form>
<?php
    if (empty($cloudtoken) == false) {
        $url = get_config('tinymce_edumarket')->serverurl.'/api/resources.jsp?op=getMyResources&key='.get_config('tinymce_edumarket')->apikey.'&tokenid='.$cloudtoken;
        $xml = simplexml_load_string($_conn->get($url));
        $hiddendata = ''; $selector = '';
        foreach ($xml->resource as $element) {
            $domain = ''; $grade = ''; $keyword = '';
            $selector .= '<option value="'.$element->id.'">'.$element->title.'</option>';

            $search_result = '<p style="font-weight:bold;color:#F00;">授權資訊：'.$element->copyright.'</p>';
            $search_result .= '<p>資源編號：'.$element->id.'</p>';
            $search_result .= '<p><img src="'.get_config('tinymce_edumarket')->serverurl.'/image/'.$element->id.'" width="90" height="90"></p>';
            $search_result .= '<p style="font-weight:bold;">標題：'.$element->title.'</p>';
            $search_result .= '<p>描述：'.$element->desc.'</p>';

            $search_result_complete = $search_result;
            $search_result_complete .= '<p>資源類型：'.$element->resourcetype.'</p>';

            $array = $element->domain;
            foreach ($array as $str) {
                $domain .= $str.'、';
            }
            $domain = mb_substr($domain, 0, -1, "utf-8");
            $search_result_complete .= '<p>適用領域議題：'.$domain.'</p>';

            $array = $element->grade;
            foreach ($array as $str) {
                $grade .= $str.'、';
            }
            $grade = mb_substr($grade, 0, -1, "utf-8"); 
            $search_result_complete .= '<p>適用年級：'.$grade.'</p>';

            $array = $element->keyword;
            foreach ($array as $str) {
                $keyword .= $str.'、';
            }
            $keyword = mb_substr($keyword, 0, -1, "utf-8");
            $search_result_complete .= '<p>關鍵字：'.$keyword.'</p>';

            $array = $element->contributor;
            foreach ($array as $subarray) {
                $search_result_complete .= '<p>'.$subarray->role.'：'.$subarray->name.'</p>';
            }

            $search_result_complete .= '<p>教學時數：'.$element->learntime.'</p>';
            $search_result_complete .= '<p>適用對象：'.$element->enduser.'</p>';
            $search_result_complete .= '<p>先備能力：'.$element->prerequisite.'</p>';
            $search_result_complete .= '<p>最後更新日期：'.$element->lastupdate.'</p>';

            $array = $element->attachment;
            foreach ($array as $subarray) {
                if ($subarray['type'] == 'file') {
                    $search_result .= '<p>檔案：<a href="'.$subarray->link.'" target="_blank">'.$subarray->name.'</a> ('.$subarray->size.')</p>';
                    $search_result_complete .= '<p>檔案：<a href="'.$subarray->link.'" target="_blank">'.$subarray->name.'</a> ('.$subarray->size.')</p>';
                } else {
                    $search_result .= '<p>連結：<a href="'.$subarray->link.'" target="_blank">'.$subarray->link.'</a> ('.$subarray->name.')</p>';
                    $search_result_complete .= '<p>連結：<a href="'.$subarray->link.'" target="_blank">'.$subarray->link.'</a> ('.$subarray->name.')</p>';
                }
            }

            $hiddendata .= '<div class="hidden" id="res_simple_'.$element->id.'">'.$search_result.'</div>';
            $hiddendata .= '<div class="hidden" id="res_complete_'.$element->id.'">'.$search_result_complete.'</div>';
            
        }
?>
                <fieldset>
                    <legend>{#edumarket.myresources}</legend>
                    <table align="center" border="0" cellpadding="4" cellspacing="0">
                        <tr>
                            <td align="right">{#edumarket.selectresources}</td>
                            <td align="left"><select name="resource" id="resource"><?=$selector?></select></td>
                        </tr>
                        <tr align="center">
                            <td colspan='2' >
                                <button class="btn" onclick="insertReaources(document.getElementById('res_simple_'+document.getElementById('resource').value).innerHTML );return false;">插入資源(精簡)</button>
                                <button class="btn-primary btn" onclick="insertReaources(document.getElementById('res_complete_'+document.getElementById('resource').value).innerHTML );return false;">插入資源(完整)</button>
                                <?=$OUTPUT->help_icon('edumarket_btndetail', 'tinymce_edumarket', '')?>
                            </td>
                        </tr>
                    </table>
                </fieldset><?=$hiddendata?>
    <script>
        document.getElementById('general_panel').setAttribute("style","height:420px");
        tinyMCEPopup.params.mce_height = 463;
        tinyMCEPopup.resizeToInnerSize();
        tinyMCE.DOM.doc.getElementById(tinyMCEPopup.id).style.top = "50px";
        
    </script>
<?php
    }
?>
            <div style="clear:both;"></div>
            </div>
        </div>
<?php
}
echo $OUTPUT->footer();