<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Settings for the Edumarket tinymce Plugin
 *
 * @package tinymce_edumarket
 * @author Lilian
 * @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 * @copyright KIPT Technology Corp. {@link http://kipt.com.tw/}
 */
defined('MOODLE_INTERNAL') || die;

if ($ADMIN->fulltree) {
    $settings->add(new admin_setting_configtext('tinymce_edumarket/apikey', 
            get_string('api_key', 'tinymce_edumarket'),
            get_string('api_key_desc', 'tinymce_edumarket'), '', PARAM_CLEAN));
    $settings->add(new admin_setting_configtext('tinymce_edumarket/serverurl',
            get_string('server_url', 'tinymce_edumarket'),
            get_string('server_url_desc', 'tinymce_edumarket'), 'https://market.cloud.edu.tw', PARAM_RAW_TRIMMED));
}