/**
 * Based on editor_plugin_src.js
 *
 * Copyright 2009, Moxiecode Systems AB modified for Streaming Ltd 2013
 * Released under LGPL License.
 *
 * License: http://tinymce.moxiecode.com/license
 * Contributing: http://tinymce.moxiecode.com/contributing
 */

(function() {
	tinymce.create('tinymce.plugins.Edumarket', {
		init : function(ed, url) {
			// Register commands
			ed.addCommand('mceEdumarket', function() {
				// Internal image object like a flash placeholder
				if (ed.dom.getAttrib(ed.selection.getNode(), 'class', '').indexOf('mceItem') != -1)
					return;

				ed.windowManager.open({
					file : ed.getParam("moodle_plugin_base") + '/edumarket/popup.php',
					width : 480 + parseInt(ed.getLang('advimage.delta_width', 0)),
					height : 342 + parseInt(ed.getLang('advimage.delta_height', 0)),
					inline : 1
				}, {
					plugin_url : url
				});
			});

            var xmlhttp=new XMLHttpRequest();
            var iconurl=url.substring(0, url.indexOf("loader.php"))+"edumarket/icon.php";
            xmlhttp.open("GET",iconurl,false);
            xmlhttp.send();
            var icon=xmlhttp.responseText; 

			// Register buttons
			ed.addButton('edumarket', {
				title : 'edumarket.add',
				cmd : 'mceEdumarket',
                image : icon
			});
		},

		getInfo : function() {
			return {
				longname : 'Edumarket Resource',
				author : 'KIPT Technology Corp',
				authorurl : 'http://kipt.com.tw/',
                infourl : 'http://kipt.com.tw/',
                version : '1.0'
			};
		}
	});

	// Register plugin
	tinymce.PluginManager.add('edumarket', tinymce.plugins.Edumarket);
})();